---
title: Get a SAML configuration
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Organizations
---

# Get a SAML configuration{% #get-a-saml-configuration %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                                    |
| ----------------- | ------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/saml_configurations/{saml_config_uuid} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/saml_configurations/{saml_config_uuid} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/saml_configurations/{saml_config_uuid}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/saml_configurations/{saml_config_uuid}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/saml_configurations/{saml_config_uuid}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/saml_configurations/{saml_config_uuid}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/saml_configurations/{saml_config_uuid} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/saml_configurations/{saml_config_uuid} |

### Overview

Get a single SAML configuration for the current organization by its UUID. This endpoint requires the `org_management` permission.

### Arguments

#### Path Parameters

| Name                               | Type   | Description                         |
| ---------------------------------- | ------ | ----------------------------------- |
| saml_config_uuid [*required*] | string | The UUID of the SAML configuration. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a single SAML configuration.

| Parent field  | Field                      | Type      | Description                                                                                                                                                                                                                                                                                   |
| ------------- | -------------------------- | --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|               | data [*required*]     | object    | A SAML configuration object.                                                                                                                                                                                                                                                                  |
| data          | attributes                 | object    | Attributes of a SAML configuration.                                                                                                                                                                                                                                                           |
| attributes    | assertion_consumer_service | [string]  | The assertion consumer service (ACS) URLs that the identity provider posts SAML responses to.                                                                                                                                                                                                 |
| attributes    | created_at                 | date-time | Creation time of the SAML configuration.                                                                                                                                                                                                                                                      |
| attributes    | entity_id                  | string    | The service provider entity ID Datadog presents to the identity provider.                                                                                                                                                                                                                     |
| attributes    | expires_at                 | date-time | Expiration time of the uploaded identity provider metadata.                                                                                                                                                                                                                                   |
| attributes    | idp_initiated              | boolean   | Whether identity-provider-initiated login is enabled for the organization.                                                                                                                                                                                                                    |
| attributes    | jit_domains                | [string]  | Email domains for which users are automatically provisioned on first SAML login (just-in-time provisioning).                                                                                                                                                                                  |
| attributes    | modified_at                | date-time | Time of the last SAML configuration modification.                                                                                                                                                                                                                                             |
| attributes    | sso_url                    | string    | The single sign-on URL users can visit to start a SAML login. Returns `null` when the organization is identity-provider-initiated and has no subdomain.                                                                                                                                       |
| data          | id [*required*]       | string    | The UUID of the SAML configuration.                                                                                                                                                                                                                                                           |
| data          | relationships              | object    | Relationships of a SAML configuration.                                                                                                                                                                                                                                                        |
| relationships | default_roles              | object    | Relationship to roles.                                                                                                                                                                                                                                                                        |
| default_roles | data                       | [object]  | An array containing type and the unique identifier of a role.                                                                                                                                                                                                                                 |
| data          | id                         | string    | The unique identifier of the role.                                                                                                                                                                                                                                                            |
| data          | type                       | enum      | Roles type. Allowed enum values: `roles`                                                                                                                                                                                                                                                      |
| data          | type [*required*]     | enum      | SAML configurations resource type. Allowed enum values: `saml_configurations`                                                                                                                                                                                                                 |
|               | included                   | [object]  | Resources related to the SAML configuration, such as the default roles.                                                                                                                                                                                                                       |
| included      | attributes                 | object    | Attributes of the role.                                                                                                                                                                                                                                                                       |
| attributes    | created_at                 | date-time | Creation time of the role.                                                                                                                                                                                                                                                                    |
| attributes    | modified_at                | date-time | Time of last role modification.                                                                                                                                                                                                                                                               |
| attributes    | name                       | string    | The name of the role. The name is neither unique nor a stable identifier of the role.                                                                                                                                                                                                         |
| attributes    | receives_permissions_from  | [string]  | The managed role from which this role automatically inherits new permissions. Specify one of the following: "Datadog Admin Role", "Datadog Standard Role", or "Datadog Read Only Role". If empty or not specified, the role does not automatically inherit permissions from any managed role. |
| attributes    | user_count                 | int64     | Number of users with that role.                                                                                                                                                                                                                                                               |
| included      | id                         | string    | The unique identifier of the role.                                                                                                                                                                                                                                                            |
| included      | relationships              | object    | Relationships of the role object returned by the API.                                                                                                                                                                                                                                         |
| relationships | permissions                | object    | Relationship to multiple permissions objects.                                                                                                                                                                                                                                                 |
| permissions   | data                       | [object]  | Relationships to permission objects.                                                                                                                                                                                                                                                          |
| data          | id                         | string    | ID of the permission.                                                                                                                                                                                                                                                                         |
| data          | type                       | enum      | Permissions resource type. Allowed enum values: `permissions`                                                                                                                                                                                                                                 |
| included      | type [*required*]     | enum      | Roles type. Allowed enum values: `roles`                                                                                                                                                                                                                                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "assertion_consumer_service": [
        "https://app.datadoghq.com/account/saml/assertion"
      ],
      "created_at": "2019-09-19T10:00:00.000Z",
      "entity_id": "https://app.datadoghq.com/account/saml/metadata.xml?id=00000000-0000-0000-0000-000000000000",
      "expires_at": "2010-10-26T13:31:15+00:00",
      "idp_initiated": true,
      "jit_domains": [
        "example.com"
      ],
      "modified_at": "2019-09-19T10:00:00.000Z",
      "sso_url": "https://app.datadoghq.com/account/login/id/00000000-0000-0000-0000-000000000000"
    },
    "id": "3653d3c6-0c75-11ea-ad28-fb5701eabc7d",
    "relationships": {
      "default_roles": {
        "data": [
          {
            "id": "3653d3c6-0c75-11ea-ad28-fb5701eabc7d",
            "type": "roles"
          }
        ]
      }
    },
    "type": "saml_configurations"
  },
  "included": [
    {
      "attributes": {
        "created_at": "2019-09-19T10:00:00.000Z",
        "modified_at": "2019-09-19T10:00:00.000Z",
        "name": "string",
        "receives_permissions_from": [],
        "user_count": "integer"
      },
      "id": "string",
      "relationships": {
        "permissions": {
          "data": [
            {
              "id": "string",
              "type": "permissions"
            }
          ]
        }
      },
      "type": "roles"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Authentication Error
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export saml_config_uuid="3653d3c6-0c75-11ea-ad28-fb5701eabc7d" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/saml_configurations/${saml_config_uuid}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
